summaryrefslogtreecommitdiff
path: root/dev-python/pyqt6-webengine
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-13 06:51:24 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-13 06:51:24 +0000
commitf62033a60fcf1554669a9b29ad2258306811c63d (patch)
tree41af7377b0fc6374a93a53438cf67d637313e2b7 /dev-python/pyqt6-webengine
parentc2a98c5730992decf024aa2cc593271e9819a2bb (diff)
downloadbaldeagleos-repo-f62033a60fcf1554669a9b29ad2258306811c63d.tar.gz
baldeagleos-repo-f62033a60fcf1554669a9b29ad2258306811c63d.tar.xz
baldeagleos-repo-f62033a60fcf1554669a9b29ad2258306811c63d.zip
Adding metadata
Diffstat (limited to 'dev-python/pyqt6-webengine')
-rw-r--r--dev-python/pyqt6-webengine/Manifest1
-rw-r--r--dev-python/pyqt6-webengine/files/pyqt6-webengine-6.8.0-qvariant.patch15
-rw-r--r--dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild73
3 files changed, 89 insertions, 0 deletions
diff --git a/dev-python/pyqt6-webengine/Manifest b/dev-python/pyqt6-webengine/Manifest
index 83fb1172e5b3..fb608b3a764a 100644
--- a/dev-python/pyqt6-webengine/Manifest
+++ b/dev-python/pyqt6-webengine/Manifest
@@ -1,2 +1,3 @@
DIST PyQt6_WebEngine-6.7.0.tar.gz 32593 BLAKE2B 6c14323b440a83f6fed9f1f77f20b350f00255dfedfbc328a5ee638760d20958d8864eb3c590248acd5c69152c537993a95e66d1f76b28349561c8223dfc2a85 SHA512 8298aecc43e420c4fa912802fd66ee95fd71156d9a6d1f1a499ffcc2d0d45a8c3e3c170f911acfc8f094d2e434567b5143b145ce40413ee75c9a9e4420341c0c
DIST PyQt6_WebEngine-6.8.0.dev2411020930.tar.gz 34309 BLAKE2B e881ea3b91b1ebccf7b93df3c0dc645e2505223948478b2e4a6399fc380e08460d8ce3cd42857adaa68a8323439257891028b43a6334f0ef2cf4e3b6e13064dc SHA512 5acd6f8712bf1964cd15ee3696bccf37aca00a3c6428df03500a678e1f7f88b1c02015fb1f7b698c4bb9db24868b99df878cf3187a14addb7b7f66354a1960c5
+DIST PyQt6_WebEngine-6.8.0.tar.gz 34203 BLAKE2B eeec38d0804039fa4d80d9c621457e18c4ae7831f351401b552191f3db8899102a4396164a1df89597460a9d6591a5d885b1bd813f226094c853aedb0918e3c4 SHA512 f48575829ccf9350ec6e743f2185975706c149dd37b8fbdf5c76bb65f606084b3d3c732ce39bfd35317d1e65659d5ec6e77b489a83c43971b5b3b3ce278bd8dc
diff --git a/dev-python/pyqt6-webengine/files/pyqt6-webengine-6.8.0-qvariant.patch b/dev-python/pyqt6-webengine/files/pyqt6-webengine-6.8.0-qvariant.patch
new file mode 100644
index 000000000000..bdb7d4c2a202
--- /dev/null
+++ b/dev-python/pyqt6-webengine/files/pyqt6-webengine-6.8.0-qvariant.patch
@@ -0,0 +1,15 @@
+This was removed between 6.8.0.dev2411020930 and 6.8.0 final, but
+results in a build failure if missing (or at least with Qt6.8.1).
+
+qwebengineframe.sip:52:64: error: invalid use of incomplete type 'class QVariant'
+--- a/sip/QtWebEngineCore/qwebengineframe.sip
++++ b/sip/QtWebEngineCore/qwebengineframe.sip
+@@ -29,4 +29,8 @@
+ %End
+
++%TypeCode
++#include <QVariant>
++%End
++
+ public:
+ bool isValid() const;
diff --git a/dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild b/dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild
new file mode 100644
index 000000000000..2469231bfad8
--- /dev/null
+++ b/dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=sip
+PYPI_NO_NORMALIZE=1
+PYPI_PN=PyQt6_WebEngine
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
+
+QT_PV=$(ver_cut 1-2):6
+
+DESCRIPTION="Python bindings for QtWebEngine"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="debug quick +widgets"
+
+RDEPEND="
+ >=dev-python/pyqt6-${QT_PV%:*}[gui,ssl,${PYTHON_USEDEP}]
+ >=dev-qt/qtbase-${QT_PV}[gui,widgets?]
+ >=dev-qt/qtwebengine-${QT_PV}[widgets]
+ quick? (
+ dev-python/pyqt6[qml]
+ >=dev-qt/qtwebengine-${QT_PV}[qml]
+ )
+ widgets? ( dev-python/pyqt6[network,printsupport,webchannel,widgets] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-python/pyqt-builder-1.17[${PYTHON_USEDEP}]
+ >=dev-python/sip-6.9[${PYTHON_USEDEP}]
+ >=dev-qt/qtbase-${QT_PV}
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-qvariant.patch
+)
+
+src_prepare() {
+ default
+
+ # hack: PyQt-builder runs qmake without our arguments and calls g++
+ # or clang++ depending on what qtbase was built with, not used for
+ # building but fails with -native-symlinks
+ mkdir "${T}"/cxx || die
+ local cxx
+ ! cxx=$(type -P "${CHOST}"-g++) || ln -s -- "${cxx}" "${T}"/cxx/g++ || die
+ ! cxx=$(type -P "${CHOST}"-clang++) || ln -s -- "${cxx}" "${T}"/cxx/clang++ || die
+ PATH=${T}/cxx:${PATH}
+}
+
+python_configure_all() {
+ append-cxxflags -std=c++17 # for old gcc / clang that use <17 (bug #892331)
+ append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for DISTUTILS_EXT=1
+
+ DISTUTILS_ARGS=(
+ --jobs="$(makeopts_jobs)"
+ --qmake="$(qt6_get_bindir)"/qmake
+ --qmake-setting="$(qt6_get_qmake_args)"
+ --verbose
+
+ --enable=QtWebEngineCore
+ $(usex quick --{enable,disable}=QtWebEngineQuick)
+ $(usex widgets --{enable,disable}=QtWebEngineWidgets)
+
+ $(usev debug '--debug --qml-debug --tracing')
+ )
+}